# eric3.UI.IconProvider

Module implementing an icon provider for QFileDialog.

### Classes

IconProvider | Class providing icons to QFileDialog.

### Functions

None

## IconProvider

Class providing icons to QFileDialog.

The icons provided are for Python (*.py, *.pyx, *.ptl)), Qt-Designer (*.ui), QT-Linguist (*.ts), IDL (*.idl), graphics, eric3 keyboard shortcuts (*.e3k, *.e3kz), and eric3 project (*.e3p, *.e3pz) files.

### Derived from

QFileIconProvider

### Methods

IconProvider | Constructor
pixmap | Method to retrieve the pixmap for a file.

### IconProvider (Constructor)

IconProvider()

Constructor

### IconProvider.pixmap

pixmap(finfo)

Method to retrieve the pixmap for a file.

finfo
  The file info object. (QFileInfo)

Returns:
  The pixmap for the file. (QPixmap)

Up